## udisks2-qt6 6.0.1

=== debian/changelog ===
udisks2-qt6 (6.0.1) unstable; urgency=medium

  * Update version to 6.0.1

 -- zhanghongyuan <zhanghongyuan@uniontech.com>  Thu, 16 Oct 2024 19:40:00 +0800
